# assembly::get-name

[This is preliminary documentation and subject to change.]

Gets an AssemblyName for the specified assembly.

### Usage

`AssemblyName assembly::get-name(assembly)`

### Parameters

Name | Type | Description
--- | --- | ---
assembly | Assembly | The assembly to get an AssemblyName for.

### Return Value

An AssemblyName for the specified assembly.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)

### See Also

Assembly Functions